# -*- coding: utf-8 -*-
import time
from setuphelpers import *


def install():

    versionsoft = control.get_software_version()

    for uninstall in installed_softwares("Scribus"):
        if Version(uninstall["version"]) < Version(versionsoft):
            print("remove old software")
            killalltasks("Scribus.exe")
            run(uninstall_cmd(uninstall["key"]))
            time.sleep(120)

    for uninstall in installed_softwares("Scribus"):
        if "Program Files (x86)" in uninstall:
            killalltasks("Scribus.exe")
            run(uninstall_cmd(uninstall["key"]))
            time.sleep(120)

    install_exe_if_needed(
        "scribus-%s-windows-x64.exe" % versionsoft,
        silentflags="/S",
        key="Scribus %s" % versionsoft,
        min_version=versionsoft,
        killbefore=["Scribus.exe"],
    )
    remove_desktop_shortcut("Scribus %s" % versionsoft)
